biterp

Registrar recebimento manual em conta a receber

POST
/receivables/{id}/receive
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.biterp.ai/receivables/{id}/receive" \  -H "Content-Type: application/json" \  -d '{}'
{
  "receivable": {
    "id": "string",
    "record_number": 0,
    "customer_id": "string",
    "financial_account_id": "string",
    "payment_method_id": "string",
    "financial_category_id": "string",
    "reference_code": "string",
    "amount": "1500.000000",
    "discount_amount": "0.000000",
    "surcharge_amount": "0.000000",
    "status": "pending",
    "issue_date": "2019-08-24",
    "due_date": "2019-08-24",
    "paid_at": "2019-08-24T14:15:22Z",
    "installment_group_id": "string",
    "installment_number": 0,
    "installment_count": 0,
    "sales_order_id": "string",
    "invoice_id": "string",
    "description": "string",
    "notes": "string",
    "metadata": {},
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "deleted_at": "2019-08-24T14:15:22Z"
  },
  "transaction": {
    "id": "string",
    "account_id": "string",
    "transfer_id": "string",
    "source": "manual",
    "fitid": "string",
    "trn_type": "string",
    "posted_at": "2019-08-24T14:15:22Z",
    "posted_on": "2026-02-19",
    "user_initiated_at": "2019-08-24T14:15:22Z",
    "amount": "-1500.000000",
    "orig_currency_code": "string",
    "orig_amount": "-1500.000000",
    "name": "string",
    "extd_name": "string",
    "memo": "string",
    "refnum": "string",
    "checknum": "string",
    "srvrtid": "string",
    "correct_fitid": "string",
    "correct_action": "REPLACE",
    "is_reconciled": true,
    "reconciled_at": "2019-08-24T14:15:22Z",
    "metadata": {},
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "deleted_at": "2019-08-24T14:15:22Z"
  },
  "allocation": {
    "id": "string",
    "receivable_id": "string",
    "financial_transaction_id": "string",
    "allocated_amount": "1500.000000",
    "notes": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "status_code": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "status_code": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "status_code": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "status_code": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "status_code": 422,
  "message": "Could not resolve provided geography fields",
  "error": "Unprocessable Entity",
  "code": "string",
  "details": {
    "fields": {
      "country_code": [
        "Could not resolve country from '1112' (tried ISO2, ISO3, numeric code and names)"
      ],
      "city": [
        "Could not resolve city from 'CidadeQueNaoExiste' in country 'BR'"
      ]
    }
  }
}
{
  "status_code": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}